Loading...
Searching...
No Matches
filesys.c File Reference

## Macros

#define | _(String)
#define | BUFFER_SIZE 4096 /* in sectors */

## Functions

PedFileSystemAlias * | ped_file_system_alias_get_next (const PedFileSystemAlias *fs_alias)
| Get the next PedFileSystemAlias after `fs_alias`.
void | ped_file_system_alias_register (PedFileSystemType *type, const char *alias, int deprecated)
void | ped_file_system_alias_unregister (PedFileSystemType *type, const char *alias)
PedFileSystemType * | ped_file_system_probe (PedGeometry *geom)
| Attempt to detect a file system in region `geom`.
PedGeometry * | ped_file_system_probe_specific (const PedFileSystemType *fs_type, PedGeometry *geom)
| Attempt to find a file system and return the region it occupies.
PedFileSystemType * | ped_file_system_type_get (const char *name)
| Get a PedFileSystemType by its `name`.
PedFileSystemType * | ped_file_system_type_get_next (const PedFileSystemType *fs_type)
| Get the next PedFileSystemType after `fs_type`.
void | ped_file_system_type_register (PedFileSystemType *type)
void | ped_file_system_type_unregister (PedFileSystemType *type)